Class | Resolv::DNS::Label::Str
In: | resolv.rb
Parent: | Object

### Methods

== eql? hash inspect new to_s

### Attributes

downcase | [R] |
string | [R] |

### Public Class methods

new(string)

[Source]

    # File resolv.rb, line 936
            def initialize(string)
              @string = string
              @downcase = string.downcase
            end

### Public Instance methods

==(other)

[Source]

    # File resolv.rb, line 950
            def ==(other)
              return @downcase == other.downcase
            end

eql?(other)

[Source]

    # File resolv.rb, line 954
            def eql?(other)
              return self == other
            end

hash()

[Source]

    # File resolv.rb, line 958
            def hash
              return @downcase.hash
            end

inspect()

[Source]

    # File resolv.rb, line 946
            def inspect
              return "#<#{self.class} #{self.to_s}>"
            end

to_s()

[Source]

    # File resolv.rb, line 942
            def to_s
              return @string
            end

[Validate]